<div ng-if="$ctrl.persons">
    <div ng-repeat="person in $ctrl.persons" ng-if="(person.entityfacts && person.entityfacts.preferredName) || (person.wiki && person.wiki.links) || (person.metagridLinks && person.metagridLinks.length > 0)">
        <a class="eth-personcard-anchor" name="personcard{{person.id}}-anchor"></a>
        <div id="personcard{{person.id}}" class="eth-person__facts" ng-if="(person.entityfacts && person.entityfacts.preferredName) || (person.wiki && person.wiki.label)" aria-live="polite">
            <md-card>
                <md-card-title class="eth-person__facts-title">
                  <md-card-title-text>
                    <h2>
                        <span ng-if="person.entityfacts.preferredName" class="md-headline">{{person.entityfacts.preferredName}}:</span>
                        <span ng-if="!person.entityfacts.preferredName && person.wiki.label" class="md-headline">{{person.wiki.label}}:</span>
                        <span class="md-headline">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'moreInformations')}}</span>
                    </h2>
                  </md-card-title-text>
                </md-card-title>
                <div class="eth-person__facts-content" layout="row" layout-xs="column">
                    <md-button class="eth-personcard__close md-primary" ng-click="$ctrl.toggleCard(person.id)">
                        <span class="accessible-only">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'closePersonCard')}}</span>
                    </md-button>
                    <div ng-if="person.entityfacts.depiction" class="eth-person__image-container">
                        <img class="eth-person__image" ng-src="{{person.entityfacts.depiction.thumbnail['@id']}}" alt="{{person.entityfacts.preferredName}}">
                    </div>
                    <div ng-if="!person.entityfacts.depiction && person.wiki.image_url" class="eth-person__image-container">
                        <img class="eth-person__image" ng-src="{{person.wiki.image_url}}" alt="{{person.wiki.label}}">
                    </div>
                    <div class="eth-person__facts-text">
                        <md-card-content>
                            <h3 class="md-subhead eth-person__subhead eth-person__subhead-first">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'infoGndWd')}}</h3>
                            <p ng-if="person.entityfacts.professionOrOccupation">{{person.entityfacts.professionOrOccupation}}</p>
                            <p ng-if="person.wiki.description">{{person.wiki.description}}</p>
                            <p ng-if="person.entityfacts.dateOfBirth">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'born')}}: {{person.entityfacts.dateOfBirth}}<span ng-if="person.entityfacts.placeOfBirth">, {{person.entityfacts.placeOfBirth}}</span></p>
                            <p ng-if="person.entityfacts.dateOfDeath">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'died')}}: {{person.entityfacts.dateOfDeath}}<span ng-if="person.entityfacts.placeOfDeath">, {{person.entityfacts.placeOfDeath}}</span></p>
                            <p ng-if="person.entityfacts.biographicalOrHistoricalInformation">{{person.entityfacts.biographicalOrHistoricalInformation}}</p>
                            <p ng-if="person.entityfacts.depiction || person.wiki.image_url"><span>{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'imgLicense')}}</span> <a target="_blank" ng-href="{{person.entityfacts.depiction.url}}">
                                Wikimedia Commons
                                <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                            </a>.</p>
                        </md-card-content>
                    </div>
                </div>
            </md-card>

            <div ng-if="person.wikiArchivesAtLinks && person.wikiArchivesAtLinks.length > 0">
                <h3 class="md-subhead eth-person__subhead">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'archiveLinks')}}</h3>
                <p ng-repeat="link in person.wikiArchivesAtLinks">
                    <a ng-if="link.url" class="arrow-link md-primoExplore-theme" ng-href="{{link.url}}" target="_blank" rel="noopener">
                        <span ng-if="link.label">{{link.label}}</span><span ng-if="link.inventoryno"> (Inventarnummer: {{link.inventoryno}})</span>
                        <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                        <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                    </a>
                    <span ng-if="!link.url">
                        <span>{{link.label}}</span>
                        <span ng-if="object.inventoryno"> (Inventarnummer: {{link.inventoryno}})</span>
                    </span>
                </p>
            </div>
            <div ng-if="person.wiki && person.wiki.links && person.wiki.links.length > 0">
                <h3 class="md-subhead eth-person__subhead">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'linksWD')}}</h3>
                <p ng-repeat="link in person.wiki.links"><a class="arrow-link md-primoExplore-theme" ng-href="{{link.url}}" target="_blank" rel="noopener">
                    <span>{{link.label}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
            </div>
            <div ng-if="person.wiki && person.wiki.profiles && person.wiki.profiles.length > 0">
                <h3 class="md-subhead eth-person__subhead">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'researcherProfile')}}</h3>
                <p ng-repeat="link in person.wiki.profiles"><a class="arrow-link md-primoExplore-theme" ng-href="{{link.url}}" target="_blank" rel="noopener">
                    <span>{{link.label}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
            </div>
            <div ng-if="person.metagridLinks && person.metagridLinks.length > 0">
                <h3 class="md-subhead eth-person__subhead">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'linksMetagrid')}}</h3>
                <p class="eth-person__links-hint">Links powered by <a target="_blank" href="https://www.metagrid.ch/" class="wikidata-person__links-source md-default-theme">
                    Metagrid
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                </a></p>
                <p ng-repeat="link in person.metagridLinks"><a class="arrow-link md-primoExplore-theme" ng-href="{{link.url}}" target="_blank" rel="noopener">
                    <span>{{link.label}}</span>
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
            </div>
        </div>
    </div>
</div>
